﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.Windows.Threading;
using Telerik.Windows.Controls;

namespace watermark
{
	public class ViewModel : ViewModelBase
	{
		public ObservableCollection<Agency> Agencies { get; set; }

        private Agency _SelectedAgency;

        /// <summary>
        /// Gets or sets SelectedAgency and notifies for changes
        /// </summary>
        public Agency SelectedAgency
        {
            get
            {
                return this._SelectedAgency;
            }

            set
            {
                if (this._SelectedAgency != value)
                {
                    this._SelectedAgency = value;
                    this.OnPropertyChanged(() => this.SelectedAgency);
                }
            }
        }
		public ViewModel()
		{
			this.Agencies = new ObservableCollection<Agency>()
				{
					new Agency("Exotic Liquids", "(171) 555-2222", "EC1 4SD", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("New Orleans Cajun Delights", "(100) 555-4822", "70117", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Grandma Kelly's Homestead", "(313) 555-5735", "48104", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Tokyo Traders", "(03) 3555-5011", "100", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Cooperativa de Quesos 'Las Cabras'", "(98) 598 76 54", "33007", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Mayumi's", "(06) 431-7877", "545", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Pavlova, Ltd.", "(03) 444-2343", "3058", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Specialty Biscuits, Ltd.", "(161) 555-4448", "M14 GSD", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("PB Knäckebröd AB", "031-987 65 43", "S-345 67", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Refrescos Americanas LTDA", "(11) 555 4640", "5442", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Heli Süßwaren GmbH & Co. KG", "(New Item) (010) 9984510", "10785", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Plutzer Lebensmittelgroßmärkte AG", "(New Item) (069) 992755", "60439", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Nord-Ost-Fisch Handelsgesellschaft mbH", "(New Item) (04721) 8713", "27478", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Formaggi Fortini s.r.l.", "(New Item) (0544) 60323", "48100", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Norske Meierier", "(New Item) (0)2-953010", "1320", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Bigfoot Breweries", "(New Item) (503) 555-9931", "97101", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Svensk Sjöföda AB", "(New Item) 08-123 45 67", "S-123 45", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Aux joyeux ecclésiastiques", "(New Item) (1) 03.83.00.68", "75004", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("New England Seafood Cannery", "(New Item) (617) 555-3267", "2134", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Leka Trading", "(New Item) 555-8787", "512", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Lyngbysild", "(New Item) 43844108", "2800", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Zaanse Snoepfabriek", "(New Item) (12345) 1212", "9999 ZZ", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Karkki OySix", "(New Item) (953) 10956", "63120", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Karkki OyFive", "(New Item) (953) 10956", "53121", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("G'day, Mate", "(New Item) (02) 555-5914", "2042", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Ma Maison", "(New Item) (514) 555-9022", "H1J 1C3", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Pasta Buttini s.r.l.", "(New Item) (089) 6547665", "84100", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Escargots Nouveaux", "(New Item) 85.57.00.07", "71300", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Gai pâturage", "(New Item) 38.76.98.06", "74000", new List<string> {"Gaco","Maco","Paco"}),
                    //new Agency("Forêts d'érables", "(New Item) (514) 555-2955", "J2S 7S8", new List<string> {"Gaco","Maco","Paco"}),
				};

			//this.SelectedAgency = this.Agencies[0];
		}
	}
}

